function [fitresult, gof] = createFit(zValues, Intensity)
%CREATEFIT(ZVALUES,INTENSITY)
%  Create a fit.
%
%  Data for 'Interface_Fit' fit:
%      X Input : zValues
%      Y Output: Intensity
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 16-Feb-2021 16:08:20


%% Fit: 'Interface_Fit'.
[xData, yData] = prepareCurveData( zValues, Intensity );

% Set up fittype and options.
ft = fittype( 'gauss1' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.Lower = [-Inf -Inf 0];
opts.StartPoint = [835.723876953125 24.9 2.28961320478518];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% % Plot fit with data.
figure( 'Name', 'Interface_Fit' );
h = plot( fitresult, xData, yData );
legend( h, 'Intensity vs. zValues', 'Interface_Fit', 'Location', 'NorthEast', 'Interpreter', 'none' );
% Label axes
xlabel( 'zValues', 'Interpreter', 'none' );
ylabel( 'Intensity', 'Interpreter', 'none' );
grid on


